Bug 140816 - ICQ UIN displayed instead of nickname
Summary: ICQ UIN displayed instead of nickname
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: ICQ and AIM Plugins (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-29 07:02 UTC by sebt
Modified: 2007-11-01 19:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sebt 2007-01-29 07:02:18 UTC
Version:           0.12.4 (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

I have seen some bug reports concerning this problem in older releases of Kopete but all are marked as "resolved", yet I am seeing this problem persistently under opensuse 10.2 running Kopete 0.12.4 (KDE 3.5.6) and have not yet found a workaround. All my ICQ contacts appear in the contactlist as their UIN, not their nickname. Right-click shows at the bottom UIN <UIN> instead of Nick <UIN>. However, User info does correctly show the correct info in the nickname field.

At one point while trying to work around this problem, I had duplicate entries for all my ICQ contacts, one entry showing the nickname (correctly) and one showing the UIN. Deleting either deleted both server-side, requiring me to reauthorize the contact. Once added, the user once again appeared twice, once as UIN and once as nickname. I have tried:

1. Removing and re-adding my ICQ account. No effect.
2. Renaming/deleting contactlist.xml before launching. No effect.
3. Logging into a new user profile, to guaramtee no Kopete remnants in ~/.kde, and adding my ICQ account. No effect; UINs are still displayed instead of nicknames.
4. Removing and readding users (see above). No effect.
5. Displaying user info in the hope that Kopete will correct things. No effect.
6. Changing Properties..Display name source to a manual entry, then back again. No effect.

Along the way, trying the above, the "double entries" disappeared and I am back to just UINs for contacts. I have found no way to get the Nick/double entries back. It happened oddly while logging out and in, suddenly Kopete started adding new contactlist entries with the nickname, doubling up the existing (incorrect) UIN entries. But I have not found a way to repeat this.

Finally I should add that this problem has appeared since upgrading my suse 10.1 (running KDE 3.5.5 latest patches with 0.12.3 Kopete) to opensuse 10.2. The version of Kopete at opensuse 10.2 was also 0.12.3 but I am not sure if the versions were identical. The problem remains at the latest update of Kopete (0.12.4) on KDE 3.5.6.
Comment 1 sebt 2007-03-21 03:23:29 UTC
Still having the same problem at the latest updates... anyone confirm?
Comment 2 Matt Rogers 2007-06-09 07:37:09 UTC
How long do you give Kopete to update the nicknames? The update is not immediate and can take up to 30 seconds to occur in some instances. 

Also, if a user has not put in a nickname for themselves, then all you will see if their UIN unless you've used a client that saves your alias for them back to your contact list on the server, which is something Kopete doesn't do yet. (it reads them, just doesn't write them)
Comment 3 sebt 2007-06-09 14:49:42 UTC
Unless I manually enter nicks for users, Kopete only displays the UINs. Other IMs correctly display the nicks, which I'm guessing means that they are stored on the server correctly. Most ICQ friends use Trillian, some use ICQ itself. To my knowledge, few have been running linux and therefore not kopete that that's changing ;)

The behaviour I described in the original report still appears to be the same, for the time being I have overridden all the UINs manually as a workaround. Tooltip hovering over an ICQ user shows:

<b>UIN</b> (UIN)

As I said before, if I view "User info" of a user (ICQ Props->user Info), the Nickname is correctly displayed so kopete is fetching this info; it's just that the nick is not appearing on the contact list or user context menus. Thanks for looking into this :)
Comment 4 Sunny 2007-06-29 19:49:26 UTC
I have this same problem with 0.12.6 on opensuse 10.2 as well. About half of the ICQ contacts are displaued as WINs, not as nicknames. As OP said, kopete was able to fetch the nicknames, as I can see them in the User info dialog.
Comment 5 Roman Jarosz 2007-06-29 23:17:54 UTC
You can check if it's new bug or you have UNI as an alias.

1. Quit Kopete (this is important if you don't quit aliases will be empty)
2. open ~/.kde/share/apps/kopete/contactlist.xml
3. look for <plugin-data-field key="ssi_alias" ></plugin-data-field>

If there is a UNI than you or other icq client (Trillian did/do this) set UNI as an alias for that contact.
Comment 6 Sunny 2007-06-29 23:47:08 UTC
Thanks,
for the contacts, which do display their nicknames, this element contains the nickname. For the ones, which display UNI, it is in the ssi_alias element.

Now, how to fix it w/o editing all these? Or there is no "fast" track?and I have to do it manually?

Yes, you are right, before switching completely to kopete, I was using trillian in the past.

Cheers
Comment 7 Roman Jarosz 2007-06-30 00:46:09 UTC
In comment 8 of bug 133253 is a patch that will remove ALL aliases from your list, but you have to recompile Kopete. Right now it's the only way how to change/delete aliases in icq in Kopete.

As a workaround you can change the Display Name in a contact's properties.
Comment 8 Sunny 2007-06-30 08:57:44 UTC
Thanks Roman,

as I see, the other bug 133243is marked as resolved, but actually this is only a workaround. Can we change the current case as a feature request, so this functionality is added in the main version. Till this happens I'll solve my problem, but it will help a lot of users coming from win/trillian.

Or maybe - not reseting the alias, but enabling the possibility to select as display name not only the alias, but the nickname as well. Right now the choice is only the alias :(

Cheers
Comment 9 Sunny 2007-06-30 08:58:42 UTC
Ops, my bad, the case I meant was 133253
Comment 10 sebt 2007-07-01 02:01:07 UTC
Great to see some progress on this. I too was using Trillian before Kopete. So if I remote the UIN from key "ssi_alias" for each user this fixes the problem?

Maybe this might be a feature request if trillian is setting the alias erroneously. But as another poster points out, this will prove a real annoyance for users coming over from Trillian.

Thanks for the input all :)
Comment 11 Sunny 2007-07-02 16:44:20 UTC
Btw, I found out that easiest for me to fix this (I had only about 30 bad contacts) was to login with the web interface (icq2go) and edit the user info there. On next restart of kopete all was updated.
Comment 12 Roman Jarosz 2007-11-01 19:12:09 UTC
SVN commit 731724 by rjarosz:

Allow user to change server side aliases.

BUG: 151507
BUG: 140816
GUI:



 M  +14 -1     icq/icqcontact.cpp  
 M  +1 -0      icq/icqcontact.h  
 M  +43 -78    icq/ui/icqgeneralinfo.ui  
 M  +65 -61    icq/ui/icquserinfowidget.cpp  
 M  +3 -2      icq/ui/icquserinfowidget.h  
 M  +41 -0     liboscar/client.cpp  
 M  +7 -0      liboscar/client.h  
 M  +4 -0      liboscar/contact.cpp  
 M  +9 -0      liboscar/tasks/ssimodifytask.cpp  
 M  +4 -1      liboscar/tasks/ssimodifytask.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=731724